Debian Bug report logs - #658949
dist: Uses perl4 corelibs without Depends

version graph

Package: dist; Maintainer for dist is Manoj Srivastava <srivasta@debian.org>; Source for dist is src:dist.

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Mon, 6 Feb 2012 21:33:25 UTC

Severity: normal

Tags: patch

Found in version dist/1:3.5-30-3

Fixed in version dist/1:3.5-30-3.2

Done: Dominic Hargreaves <dom@earth.li>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#658949; Package dist. (Mon, 06 Feb 2012 21:33:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Mon, 06 Feb 2012 21:33:28 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: dist: Uses perl4 corelibs without Depends
Date: Mon, 6 Feb 2012 21:30:59 +0000
Package: dist
Version: 1:3.5-30-3
Severity: normal
User: debian-perl@lists.debian.org
Usertags: perl4-corelibs

Dear maintainer,

This package currently uses one or more deprecated perl 4 era packages,
as shown on the lintian report[1]:

As detailed at [2] we would like you to either add a dependency on

libperl4-corelibs-perl | perl (<< 5.12.3-7)

or (ideally) to replace their use with more modern equivalents.

If you prefer, I will NMU your package with the dependency added.

The wiki page [2] has references (taken from the source of the libraries
in question) for the recommended replacement libraries.

Thanks,
Dominic.

[1] <http://lintian.debian.org/tags/script-uses-perl4-libs-without-dep.html>
[2] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#658949; Package dist. (Sun, 18 Mar 2012 16:27:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Sun, 18 Mar 2012 16:27:12 GMT) Full text and rfc822 format available.

Message #10 received at 658949@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 658917@bugs.debian.org, 658931@bugs.debian.org, 658932@bugs.debian.org, 658945@bugs.debian.org, 658949@bugs.debian.org, 659421@bugs.debian.org, 659422@bugs.debian.org, 659423@bugs.debian.org, 659424@bugs.debian.org, 659429@bugs.debian.org
Subject: Intent to NMU in the coming weeks
Date: Sun, 18 Mar 2012 16:22:11 +0000
Dear maintainer,

As I would like to get all of the Perl4::Corelibs issues sorted out
before wheezy releases, to ease the transition for perl 5.16 in
wheezy+1, I intend to file NMUs for these issues, adding the dependency

libperl4-corelibs-perl | perl (<< 5.12.3-7)

as per the lintian descriptions and wiki[1]. I will upload them to
DELAYED/10. If you plan to fix these bugs before wheezy and would prefer
that I *don'* provide an NMU for the issue in your package, just let me
know.

Thanks,
Dominic.

[1] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#658949; Package dist. (Mon, 23 Apr 2012 17:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Mon, 23 Apr 2012 17:51:05 GMT) Full text and rfc822 format available.

Message #15 received at 658949@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 658949@bugs.debian.org, 661140@bugs.debian.org
Subject: dist: diff for NMU version 1:3.5-30-3.2
Date: Mon, 23 Apr 2012 18:46:59 +0100
[Message part 1 (text/plain, inline)]
tags 658949 + patch
tags 658949 + pending
tags 661140 + pending
thanks

Dear maintainer,

I've prepared an NMU for dist (versioned as 1:3.5-30-3.2) and
uploaded it to DELAYED/10. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)
[dist-3.5-30-3.2-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 23 Apr 2012 17:51:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 23 Apr 2012 17:51:10 GMT) Full text and rfc822 format available.

Reply sent to Dominic Hargreaves <dom@earth.li>:
You have taken responsibility. (Thu, 03 May 2012 18:36:03 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Thu, 03 May 2012 18:36:03 GMT) Full text and rfc822 format available.

Message #24 received at 658949-close@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 658949-close@bugs.debian.org
Subject: Bug#658949: fixed in dist 1:3.5-30-3.2
Date: Thu, 03 May 2012 18:32:14 +0000
Source: dist
Source-Version: 1:3.5-30-3.2

We believe that the bug you reported is fixed in the latest version of
dist, which is due to be installed in the Debian FTP archive:

dist_3.5-30-3.2.diff.gz
  to main/d/dist/dist_3.5-30-3.2.diff.gz
dist_3.5-30-3.2.dsc
  to main/d/dist/dist_3.5-30-3.2.dsc
dist_3.5-30-3.2_all.deb
  to main/d/dist/dist_3.5-30-3.2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 658949@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominic Hargreaves <dom@earth.li> (supplier of updated dist package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 23 Apr 2012 18:43:28 +0100
Source: dist
Binary: dist
Architecture: source all
Version: 1:3.5-30-3.2
Distribution: unstable
Urgency: low
Maintainer: Manoj Srivastava <srivasta@debian.org>
Changed-By: Dominic Hargreaves <dom@earth.li>
Description: 
 dist       - Tools for developing, maintaining and distributing software.
Closes: 658949 661140
Changes: 
 dist (1:3.5-30-3.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Add Depends on libperl4-corelibs-perl (Closes: #658949)
   * Add Slovak Debconf translation (Closes: #661140)
Checksums-Sha1: 
 c441ea9a7671736fccd55208ad2809583882f35d 1126 dist_3.5-30-3.2.dsc
 143c6b016b2a350e1731bd36de06a0461887f180 49815 dist_3.5-30-3.2.diff.gz
 40d1f3488c647ca1214c23e6bd6d2fc51f4009ec 603414 dist_3.5-30-3.2_all.deb
Checksums-Sha256: 
 ce9745f4055758617f4c774900a45fb75ba6d68637132c409bc87faf387606b4 1126 dist_3.5-30-3.2.dsc
 96f5a4c3e1b819998c4ac0bb23d9f880c0e5a792bddd2f62290ae834309054e7 49815 dist_3.5-30-3.2.diff.gz
 1aef0599ac6236fa4343e687dbdd11c7e5d49fd081208bcc22446e893fd2953a 603414 dist_3.5-30-3.2_all.deb
Files: 
 a7cd2f118be0eceb297634a2a67195ee 1126 devel optional dist_3.5-30-3.2.dsc
 ee5a1b64f7dfbb81d6621dd4ee1349b6 49815 devel optional dist_3.5-30-3.2.diff.gz
 21fc8740e05b1c60901114a4dbcf6d77 603414 devel optional dist_3.5-30-3.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFPlZUwYzuFKFF44qURApwWAKDy/m0DYza8gDHy31yHsGIFEo24OgCgv90/
k9MOhL/Tzvq2CH3NpkHJSfE=
=fOdd
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Jun 2012 07:46:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:09:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.